public class CallTest {

  public static void main ( String[] args ) {
	staticCalls();
  }
  
  public static int foo ( int a, int b ) {
	return 1;
  }
  
  public static void staticCalls () {
	long t1, t2, td;
	int rounds = 3000000;
	int n = rounds;
	
	foo(1, 2);
	
	t1 = System.currentTimeMillis();
	while ( n-- != 0 );
	t2 = System.currentTimeMillis();
	td = t2 - t1;
	
	
	t1 = System.currentTimeMillis();
	while ( rounds-- != 0 ) {
	  foo( 1, 2);
	}
	t2 = System.currentTimeMillis();
	System.out.println( "static calls: " + ((t2 - t1) - td));
  }

}
